## org.biojava.directory
Class RegistryConfiguration.Impl

    java.lang.Object
      org.biojava.directory.RegistryConfiguration.Impl

All Implemented Interfaces:
  RegistryConfiguration

Enclosing class:
  RegistryConfiguration

public static class RegistryConfiguration.Impl
extends java.lang.Object
implements RegistryConfiguration

A simple implementation of RegistryConfiguration backed by a Map.

Author:
  Brian Gilman, Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.directory.RegistryConfiguration
`RegistryConfiguration.Composite, RegistryConfiguration.Impl`

Constructor Summary
`RegistryConfiguration.Impl(java.lang.String configFileLocation, java.util.Map config)`

Method Summary
`java.lang.String` `getConfigLocator()` `getConfigLocator` returns a locator for the configuration.
`java.util.Map` `getConfiguration()` `getConfiguration` returns a mapping of registry database names to collections of tag-value pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryConfiguration.Impl

    public RegistryConfiguration.Impl(java.lang.String configFileLocation,
                                      java.util.Map config)

Method Detail

### getConfiguration

    public java.util.Map getConfiguration()

  Description copied from interface: `RegistryConfiguration`
  `getConfiguration` returns a mapping of registry database names to collections of tag-value pairs.

  Specified by:
    `getConfiguration` in interface `RegistryConfiguration`
  Returns:
    a `Map`.

### getConfigLocator

    public java.lang.String getConfigLocator()

  Description copied from interface: `RegistryConfiguration`
  `getConfigLocator` returns a locator for the configuration.

  Specified by:
    `getConfigLocator` in interface `RegistryConfiguration`
  Returns:
    a `String`.